package com.gree.mall.manager.bean.admin;

import com.gree.mall.manager.plus.entity.AdminCompanyWechat;
import com.gree.mall.manager.plus.entity.AdminUser;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class AdminUserCom extends AdminUser {

    @ApiModelProperty("部门id")
    private List<String> adminWebsitIds;
    @ApiModelProperty("只读帐号")
    private Boolean onlyRead = false;
    @ApiModelProperty("企业微信id")
    private List<String> companyWechatIds;
    @ApiModelProperty("企微id")
    private List<String> corpIds;
    @ApiModelProperty("企业微信id")
    private String corpId;
    @ApiModelProperty("当前登录人企业微信id")
    private String loginCompanyWechatId;
    @ApiModelProperty("当前登录人企业名称")
    private String loginCompanyName;
    @ApiModelProperty("当前登录人所使用的企业微信配置")
    private AdminCompanyWechat adminCompanyWechat;
}
